PHP ��U
前一頁 |  | 下一頁

# ps_add_bookmark

(PECL)

ps_add_bookmark -- Add bookmark to current page

## Description

int ps_add_bookmark ( resource psdoc, string text [, int parent [, int open]] )

Adds a bookmark for the current page. Bookmarks usually appear in PDF-Viewers left of the page in a hierarchical tree. Clicking on a bookmark will jump to the given page.

The bookmark has no meaning if the document is printed or viewed, but it will be used if the document is converted to pdf by either Acrobat Distiller™ or Ghostview.

## Parameters

psdoc

  Resource identifier of the postscript file as returned by ps_new().

text

  The text used for displaying the bookmark.

parent

  A bookmark previously created by this function which is used as the parent of the new bookmark.

open

  If open is unequal to zero the bookmark will be shown open by the pdf viewer.

## Return Values

The returned value is a reference for the bookmark. It is only used if the bookmark shall be used as a parent. The value is greater zero if the function succeeds. In case of an error zero will be returned.

## �Ѧ�

ps_add_launchlink()
ps_add_pdflink()
ps_add_weblink()

前一頁 | 內容 | 下一頁
PostScript document creation | 上一層 | ps_add_launchlink